import 'package:zhiying_base_widget/pages/main_page.dart';
import 'package:zhiying_base_widget/widgets/goods_list/goods_list_creater.dart';
import 'package:zhiying_base_widget/widgets/home_banner/home_banner_creater.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_base_widget/pages/home_page.dart';

class BaseWidgetRegister {
  /// 初始化方法
  static void init() {
    BaseWidgetRegister.registPage();
    BaseWidgetRegister.registWidgets();
  }

  // 注册页面
  static void registPage() {
    PageFactory.regist('homePage', (model) => HomePage());
    PageFactory.regist('mainPage', (model) => MainPage());
  }

  // 注册控件
  static void registWidgets() {
    WidgetFactory.regist('home_banner', HomeBannerCreater());
    WidgetFactory.regist('home_goods', GoodsListCreater());
  }
}
